List webhook endpoints
curl --request GET \
--url http://127.0.0.1:8787/v1/webhooks/endpoints \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:8787/v1/webhooks/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:8787/v1/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"labels": [
"<string>"
],
"url": "<string>",
"enabled": true,
"subscribed_event_types": [
"verification.session.succeeded"
],
"created_at": "<string>",
"updated_at": "<string>",
"disabled_at": "<string>",
"undelivered_payload_retention_hours": 72
}
],
"error": null,
"pagination": {
"limit": 10,
"has_more": false,
"next_cursor": null
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"docs": "<string>"
},
"pagination": {
"limit": 123,
"has_more": false,
"next_cursor": null
}
}Webhooks
List webhook endpoints
List all webhook endpoints available in the organization
GET
/
v1
/
webhooks
/
endpoints
List webhook endpoints
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter webhook endpoints by enabled state. If omitted, both enabled and disabled endpoints are returned.
Maximum number of webhook endpoints to return. Defaults to 10 if not specified.
Required range:
1 <= x <= 100Cursor of the last item from the previous page. When provided, the next page of results will be returned.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9_-]+$⌘I